org.springframework.data.util

## Class MethodInvocationRecorder

- java.lang.Object
- - org.springframework.data.util.MethodInvocationRecorder

    public class MethodInvocationRecorder
    extends Object

API to record method invocations via method references on a proxy.

Since:
  2.2
Author:
  Oliver Gierke

### Nested Class Summary

Nested Classes
`static interface` `MethodInvocationRecorder.PropertyNameDetectionStrategy`
`static class` `MethodInvocationRecorder.Recorded<T>`

### Field Summary

Fields
`static MethodInvocationRecorder.PropertyNameDetectionStrategy` `DEFAULT`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> MethodInvocationRecorder.Recorded<T>` `forProxyOf(Class<T> type)` Creates a new `MethodInvocationRecorder.Recorded` for the given type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static MethodInvocationRecorder.PropertyNameDetectionStrategy DEFAULT

### Method Detail

#### forProxyOf

    public static <T> MethodInvocationRecorder.Recorded<T> forProxyOf(Class<T> type)

Creates a new `MethodInvocationRecorder.Recorded` for the given type.

Parameters:
  `type` - must not be null.
Returns: